# TMR_SR_VersionInfo Struct Reference

`#include <tmr_serial_reader.h>`

List of all members.

## Public Attributes

uint8_t | bootloader [4]
uint8_t | hardware [4]
uint8_t | fwDate [4]
uint8_t | fwVersion [4]
uint32_t | protocols

## Detailed Description

The version structure returned from cmdVersion().

## Member Data Documentation

uint8_t TMR_SR_VersionInfo::bootloader[4]

Bootloader version, as four 8-bit numbers

uint8_t TMR_SR_VersionInfo::fwDate[4]

Date app firmware was built, as BCD YYYYMMDD

uint8_t TMR_SR_VersionInfo::fwVersion[4]

App firmware version, as four 8-bit numbers

uint8_t TMR_SR_VersionInfo::hardware[4]

Hardware version. Opaque format

uint32_t TMR_SR_VersionInfo::protocols

Bitmask of the protocols supported by the device (indexed by TMR_TagProtocol values minus one).

The documentation for this struct was generated from the following file:

- tmr_serial_reader.h